## org.apache.myfaces.custom.navigation
Class HtmlNavigationRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlLinkRenderer
                      org.apache.myfaces.custom.navigation.HtmlNavigationRenderer

public class HtmlNavigationRenderer
extends HtmlLinkRenderer

Version:
  $Revision: 290917 $ $Date: 2005-09-22 05:25:28 -0400 (Thu, 22 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $)

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`URL_STATE_MARKER, URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlNavigationRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected java.lang.String` `getNavigationItemClass(HtmlPanelNavigation navPanel, HtmlCommandNavigation navItem)`
`protected java.lang.String` `getNavigationItemStyle(HtmlPanelNavigation navPanel, HtmlCommandNavigation navItem)`
`boolean` `getRendersChildren()`
`protected java.lang.String` `getStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style to be used.
`protected java.lang.String` `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style class to be used.
`protected void` `indent(javax.faces.context.ResponseWriter writer, int level)`
`protected void` `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, HtmlPanelNavigation panelNav, java.util.List children, int level)`
`protected void` `writeStyleAttributes(javax.faces.context.ResponseWriter writer, java.lang.String style, java.lang.String styleClass)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlLinkRenderer
`renderCommandLinkStart, renderLinkEnd, renderOutputLinkStart`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`renderJavaScriptAnchorStart, renderNonJavaScriptAnchorStart`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlNavigationRenderer

    public HtmlNavigationRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `HtmlLinkRendererBase`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `HtmlLinkRendererBase`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### renderChildren

    protected void renderChildren(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  HtmlPanelNavigation panelNav,
                                  java.util.List children,
                                  int level)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### indent

    protected void indent(javax.faces.context.ResponseWriter writer,
                          int level)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNavigationItemStyle

    protected java.lang.String getNavigationItemStyle(HtmlPanelNavigation navPanel,
                                                      HtmlCommandNavigation navItem)

### getNavigationItemClass

    protected java.lang.String getNavigationItemClass(HtmlPanelNavigation navPanel,
                                                      HtmlCommandNavigation navItem)

### writeStyleAttributes

    protected void writeStyleAttributes(javax.faces.context.ResponseWriter writer,
                                        java.lang.String style,
                                        java.lang.String styleClass)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyle

    protected java.lang.String getStyle(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent link)

  Description copied from class: `HtmlLinkRendererBase`
  Can be overwritten by derived classes to overrule the style to be used.

  Overrides:
    `getStyle` in class `HtmlLinkRendererBase`

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent link)

  Description copied from class: `HtmlLinkRendererBase`
  Can be overwritten by derived classes to overrule the style class to be used.

  Overrides:
    `getStyleClass` in class `HtmlLinkRendererBase`